#pragma once
#include "DataType.h"
class CCenterModule;
class CUSBModule;
class CUserModule;


class CDataCenter
{
public:
	virtual ~CDataCenter();
	static CDataCenter *GetInstance();
	void UnInstance();
private:
	CDataCenter();
	static CDataCenter *m_pDataCenter;

public:
	CCenterModule *m_pCenter;
	CUSBModule *m_pUsb;
	CUserModule *m_pUser;
	CMemPool *m_pool;
public:
	CInterProtocl *GetITP();
	int getIdleCount();
	void setResponseITP(CInterProtocl *pReq, CInterProtocl *pRes);
};